# FAVR Ontology
This is an attempt to build an ontology out of [FAVR](https://www.ludov.ca/index.php/en/observation/graphical-technologies/game-favr), the framework for the analysis of visual representation in video games. This repository also holds the exported [Tropy](https://www.tropy.org/) templates that implemented the ontology.

- [Visualization](#visualization)
- [Documentation](#documentation)
- [Tropy Templates](#tropy-templates)
- [Examples](#examples)
- [Imprint](#imprint)

## Visualization
![Visualization of the FAVR ontology.](favr.ttl.svg)

## Documentation
Documentation will follow soon.

### Classes
#### Mode
#### Space
#### Negative Space
#### Intangible Space
#### Tangible Space
#### Ocularization
#### Framing Mechanism
#### Triplanar Construction
#### Graphical Material
#### Projection Method
#### Angle Of Projection

### Properties
#### has_ocularization
#### has_framing_mechanism
#### is_triplanar_construct
#### has_graphical_material
#### has_projection_method
#### has_angle_of_projection

## Tropy Templates
- [FAVR Mode](tropy/FAVR%20Mode.ttp)
- [FAVR Negative Space](tropy/FAVR%20Negative%20Space.ttp)
- [FAVR Intangible Space](tropy/FAVR%20Intangible%20Space.ttp)
- [FAVR Tangible Space](tropy/FAVR%20Intangible%20Space.ttp)

## Examples
### Ball Raider (1987)

![Ball Raider (1987) - Main Gameplay Mode](examples/ball-raider-1987-main-gameplay.png)
[FAVR Tropy Export as JSON-LD](examples/ball-raider-1987-main-gameplay.json)

## Imprint

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.8158800.svg)](https://doi.org/10.5281/zenodo.8158800)

Ontology developed by

- Adrian Demleitner, adrian.demleitner@hkb.bfh.ch
- <img src="https://upload.wikimedia.org/wikipedia/commons/f/f7/Orcid_icon.png?20160723044738" alt="orcid logo" width="16" height="19"> [https://orcid.org/0000-0001-9918-7300](https://orcid.org/0000-0001-9918-7300)

The FAVR was developed by

- Dominic Arsenault, dominic.arsenault@umontreal.ca
- Pierre-Marc Côté, pierre-marc.cote.1@umontreal.ca
- Audrey Larochelle, audrey.larochelle@umontreal.ca
- Sacha Lebel

Read the paper on the model at [https://journals.sfu.ca/loading/index.php/loading/article/view/155/190](https://journals.sfu.ca/loading/index.php/loading/article/view/155/190).

> Arsenault, Dominic, Pierre-Marc Côté and Audrey Larochelle. 2015. "The Game FAVR: A Framework for the Analysis of Visual Representation in Video Games". Loading…Journal of the Canadian Game Studies Association, vol.9, no.14, p. 88-123.

---

This ontology, the Tropy templates and examples are published under [CC0 1.0 Universal](LICENSE).
